slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetWhichSingularTriplets

Specifies which singular triplets are to be sought.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetWhichSingularTriplets(SVD svd,SVDWhich which)

Logically Collective

### Input Parameter

| svd | - singular value solver context obtained from SVDCreate()

### Output Parameter

| which | - which singular triplets are to be sought

### Options Database Keys

| -svd_largest | - Sets largest singular values
| -svd_smallest | - Sets smallest singular values

### Notes

The parameter 'which' can have one of these values

| SVD_LARGEST | - largest singular values
| SVD_SMALLEST | - smallest singular values

### See Also

SVDGetWhichSingularTriplets(), SVDWhich

### Level

intermediate

### Location

src/svd/interface/svdopts.c

### Examples

src/svd/tutorials/ex8.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages